#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 11. General Utilities

- Prev

  xdg-dbus-proxy-0.1.7

- Next

  System Utilities

- Up
- Home

# Xdg-user-dirs-0.20

## Introduction to Xdg-user-dirs

Xdg-user-dirs is a tool to help manage “well known” user directories like the desktop folder and the music folder. It also handles localization (i.e. translation) of the filenames.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/xdg/xdg-user-dirs/-/archive/v0.20/xdg-user-dirs-v0.20.tar.gz

- Download MD5 sum: a80c6f2cc9fd3d9870fcda76d73ce3e6

- Download size: 68 KB

- Estimated disk space required: 3.6 MB

- Estimated build time: less than 0.1 SBU

### Xdg-user-dirs Dependencies

#### Optional

docbook-xml-4.5, docbook-xsl-nons-1.79.2, and libxslt-1.1.45 (all three for building the man pages)

## Installation of Xdg-user-dirs

Install xdg-user-dirs by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D docs=false       \
                .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D docs=false`: Disable the installation of the man pages. Remove this switch if you've installed the optional dependencies and you wish to install the man pages of this package.

## Configuring Xdg-user-dirs

### Config Files

`~/.config/user-dirs.dirs`, `/etc/xdg/user-dirs.conf`, and `/etc/xdg/user-dirs.defaults`. Those default locations can be overridden by `XDG_CONFIG_HOME` and `XDG_CONFIG_DIRS`

## Contents

Installed Programs: xdg-user-dir and xdg-user-dirs-update
Installed Library: None
Installed Directory: None

### Short Descriptions

xdg-user-dir | looks up the current path for one of the XDG user directories
xdg-user-dirs-update | creates localized versions of the user directories

- Prev

  xdg-dbus-proxy-0.1.7

- Next

  System Utilities

- Up
- Home